import { Dayjs } from 'dayjs';
import { DprClientClass } from '../../../DprClientClass';
export declare class GranularDateRange extends DprClientClass {
    private quickFiltersInput;
    private granularityInput;
    private startInput;
    private endInput;
    private currentQuickFilterValue;
    static getModuleName(): string;
    initialise(): void;
    initChangeEvents(): void;
    resolveStateChange(event: Event): void;
    resetQuickFiltersToNone(): void;
    updateQueryParams(): void;
    shouldResetQuickFilters(e: Event): boolean;
    calculateStartEndGranularity(quickFilterValue: string): {
        startDate: Dayjs;
        endDate: Dayjs;
        granularity: string;
    };
}
